public partial class Help : MyWebApplication.LocalizedPage
{
    protected void Page_Load(object sender, System.EventArgs e)
    {
        if (Page.IsPostBack == false)
        {
            Initialize();
        }
    }

    private void Initialize()
    {
        string strPath = Server.MapPath("~/App_Data/LocalizedPages");

        string strFileName;
        if (Session["Culture"].ToString() == "en-US")
        {
            strFileName = "Help.txt";
        }
        else
        {
            strFileName = "Help." + Session["Culture"].ToString() + ".txt";
        }

        string strPathName = strPath + "\\" + strFileName;

        System.IO.StreamReader oStream =
            new System.IO.StreamReader(strPathName, System.Text.Encoding.UTF8);

        litContent.Text = oStream.ReadToEnd();

        oStream.Close();
        oStream.Dispose();
        oStream = null;
    }
}
